> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/one_time_incentives/

Returns a list all of One Time Incentives attached to subscriptions for a merchant, or a list of one incentives for an individual customer.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/one-time-incentives/otd-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /one_time_incentives/:
    get:
      operationId: otd-list
      summary: List
      description: >-
        Returns a list all of One Time Incentives attached to subscriptions for
        a merchant, or a list of one incentives for an individual customer.
      tags:
        - oneTimeIncentives
      parameters:
        - name: order
          in: query
          description: Order Public ID
          required: false
          schema:
            type: string
        - name: customer
          in: query
          description: Merchant Customer ID
          required: false
          schema:
            type: string
        - name: external_code
          in: query
          description: External code on the OTD
          required: false
          schema:
            type: string
        - name: item
          in: query
          description: Item Public ID
          required: false
          schema:
            type: string
        - name: created
          in: query
          description: One Time Incentives whose created date matches exactly (yyyy-mm-dd)
          required: false
          schema:
            type: string
            format: date
        - name: created_start
          in: query
          description: >-
            One Time Incentives whose created datetime is greater than or equal
            to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: created_end
          in: query
          description: >-
            One Time Incentives whose created datetime is less than or equal to
            the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: last_updated
          in: query
          description: >-
            One Time Incentives whose last updated date matches exactly
            (yyyy-mm-dd)
          required: false
          schema:
            type: string
            format: date
        - name: last_updated_start
          in: query
          description: >-
            One Time Incentives whose last updated datetime is greater than or
            equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: last_updated_end
          in: query
          description: >-
            One Time Incentives whose last updated datetime is less than or
            equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: applied_at
          in: query
          description: One Time Incentives applied on the specified date (yyyy-mm-dd)
          required: false
          schema:
            type: string
            format: date
        - name: applied_at_start
          in: query
          description: >-
            One Time Incentives applied after or equal to the given datetime
            (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: applied_at_end
          in: query
          description: >-
            One Time Incentives applied before or equal to the given datetime
            (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)
          required: false
          schema:
            type: string
            format: date
        - name: include_item_level
          in: query
          description: >-
            If the list is filtered by order, include also the One Time
            Incentives for all the items linked to this order
          required: false
          schema:
            type: boolean
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/One-Time Incentives_otd-list_Response_200'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Otd-listRequestNotFoundError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    One-Time Incentives_otd-list_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: One-Time Incentives_otd-list_Response_200
    Otd-listRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Otd-listRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
"[{\n    \"public_id\": \"8637c3fe9b7011eaa2c1bc764e107990\",\n    \"external_code\": \"awesome_discount\",\n    \"description\": \"One-time Incentive\",\n    \"merchant\": \"ac4f7938383a11e89ecbbc764e1107f2\",\n    \"customer\": \"00026001\",\n    \"order\": \"c4e05d04ccc411e8ada3bc764e101db1\",\n    \"created\": \"2020-05-21 09:36:57\",\n    \"last_updated\": \"2020-05-21 09:36:57\",\n    \"applied_at\": \"2020-05-22 09:00:15\"\n    \"incentive\": {\n        \"type\": \"Discount\",\n        \"public_id\": \"c34a8c03eae641d0ab7015bedec6fbd0\",\n        \"discount_type\": \"Discount Percent\",\n        \"target\": \"item\",\n        \"field\": \"total_price\",\n        \"name\": \"awesome discount\",\n        \"value\": \"10.00\"\n    }\n},{\n    \"public_id\": \"8637c3fe9b7011eaa2c1bc764e107990\",\n    \"external_code\": \"other awesomeme_discount\",\n    \"description\": \"One-time Incentive\",\n    \"merchant\": \"ac4f7938383a11e89ecbbc764e1107f2\",\n    \"customer\": \"00023208\",\n    \"order\": \"c2389472f03450287ada3bc764e101db1\",\n    \"created\": \"2020-06-13 014:16:57\",\n    \"last_updated\": \"2020-06-21 09:36:57\",\n    \"incentive\": {\n        \"type\": \"Discount\",\n        \"public_id\": \"32v37239087e641d0ab7015bedec6fbd0\",\n        \"discount_type\": \"Flat Amount\",\n        \"target\": \"item\",\n        \"field\": \"total_price\",\n        \"name\": \"other awesome discount\",\n        \"value\": \"5.00\"\n    },{\n    \"public_id\": \"8637c3fe9b7011eaa2c1bc764e107990\",\n    \"external_code\": \"other awesomeme_discount\",\n    \"description\": \"One-time Incentive\",\n    \"merchant\": \"ac4f7938383a11e89ecbbc764e1107f2\",\n    \"customer\": \"00023208\",\n    \"item\": \"c2389472f03450287ada3bc764e101db1\",\n    \"created\": \"2020-06-13 014:16:57\",\n    \"last_updated\": \"2020-06-21 09:36:57\",\n    \"incentive\": {\n        \"type\": \"Discount\",\n        \"public_id\": \"32v37239087e641d0ab7015bedec6fbd0\",\n        \"discount_type\": \"Flat Amount\",\n        \"target\": \"item\",\n        \"field\": \"total_price\",\n        \"name\": \"other awesome discount\",\n        \"value\": \"5.00\"\n    }\n}]"
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/one_time_incentives/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/one_time_incentives/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/one_time_incentives/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/one_time_incentives/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/one_time_incentives/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/one_time_incentives/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/one_time_incentives/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/one_time_incentives/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```